package de.oaa.xxx.games.bdsm.sperre;

import de.oaa.xxx.games.bdsm.Callback;

import java.util.UUID;

public class SperreCallback extends Callback {

    private UUID sperreId;
    private UUID spielerId;
    private String releaseText;

    public UUID getSperreId() { return sperreId; }
    public void setSperreId(UUID sperreId) { this.sperreId = sperreId; }

    public UUID getSpielerId() { return spielerId; }
    public void setSpielerId(UUID spielerId) { this.spielerId = spielerId; }

    public String getReleaseText() { return releaseText; }
    public void setReleaseText(String releaseText) { this.releaseText = releaseText; }

    @Override
    public String toString() {
        return "SperreCallback[sessionId=" + getSessionId() + ", sperreId=" + sperreId + ", spielerId=" + spielerId + "]";
    }
}
